Status: Resolved Priority: Should have
Author: Aske Ertmann Category: Resource
Created: 2013-03-01 Assigned To:
Updated: 2013-05-02 Due date:
PHP Version: 5.3
Has patch: No
Complexity: easy
Affected Flow version: Git 2.0
Subject: Respect open basedir during uploading of files
Description

Currently when uploading files and using "open_basedir", you either have to change the "upload_tmp_dir" value or add the temporary
folder to "open_basedir". Since the latter is not recommended for security reasons and for shared hosting environments the former
can be impossible, it should work without having to do so since PHP allows for that.

Associated revisions
Revision 6fb381bc - 2013-04-30 23:00 - Aske Ertmann

[BUGFIX] Handle open basedir properly during file upload

This solves the issues of uploading files when using open_basedir
restriction. Instead of having to add the temporary upload
directory (upload_tmp_dir) in the open_basedir configuration,
which is a bad idea, this ensures that it works even though the
open basedir restricts access to the temporary upload directory.

Make sure that the temporary upload directory is writable to test
this issue.

Change-Id: Ic7e91f0b8d3222119af356630c717d634d733fb8
Resolves: #45936
Releases: master, 2.0

Revision 32410bdd - 2013-05-02 17:13 - Aske Ertmann

[BUGFIX] Handle open basedir properly during file upload

This solves the issues of uploading files when using open_basedir
restriction. Instead of having to add the temporary upload
directory (upload_tmp_dir) in the open_basedir configuration,
which is a bad idea, this ensures that it works even though the
open basedir restricts access to the temporary upload directory.

Make sure that the temporary upload directory is writable to test
this issue.

Change-Id: Ic7e91f0b8d3222119af356630c717d634d733fb8
Resolves: #45936
Releases: master, 2.0

History
#1 - 2013-03-01 12:12 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18548

#2 - 2013-03-01 12:14 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18548

#3 - 2013-03-01 12:24 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18548

#4 - 2013-03-02 14:33 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18548

#5 - 2013-03-02 14:41 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18548

#6 - 2013-03-02 14:48 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18548

#7 - 2013-03-28 15:13 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18548

#8 - 2013-04-28 13:37 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18548
#9 - 2013-04-28 15:55 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18548

#10 - 2013-04-30 23:00 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18548

#11 - 2013-05-02 17:13 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/20424

#12 - 2013-05-02 17:13 - Gerrit Code Review

Patch set 2 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/20424

#13 - 2013-05-02 17:37 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6fb381bc6665e65bd0b68dec8ee027c644188d86.
